package cv08.server;

import java.io.DataOutputStream;
import java.io.IOException;
import java.net.Socket;
import java.util.Scanner;

/**
 *
 * @author Karel Cemus
 */
class ClientHandler implements Runnable {

    private final Socket socket;

    public ClientHandler(Socket socket) {
        this.socket = socket;
    }

    @Override
    public void run() {

        try {

            Scanner s = new Scanner(socket.getInputStream());
            DataOutputStream dos = new DataOutputStream(socket.getOutputStream());
            
            while (s.hasNext()) {
                String command = s.next();

                switch (command) {
                    case "HELLO":
                        dos.writeBytes("HI\n");
                        break;
                    case "HI":
                        dos.writeBytes("HELLO\n");
                        break;
                    default:
                        dos.writeBytes("???\n");
                }
            }

            socket.close();
        } catch (IOException ex) {
            System.out.println("Nastala chyba");
        }
    }
}
