package cv08.server;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

/**
 *
 * @author Karel Cemus
 */
public class Server {

    public static void main(String[] args) throws IOException {

        ServerSocket socket = new ServerSocket(4567);

        System.out.println("Server is running ..");

        while (true) {
            Socket client = socket.accept();
            System.out.println("Client accepted.");

            ClientHandler handler = new ClientHandler(client);

            new Thread(handler).start();
        }
    }

}
